#[path = "../target/reader.rs"]
pub mod reader;
extern crate serde;
extern crate quick_protobuf;
use quick_protobuf::BytesReader;
pub fn parse_mangaplus_proto(buf: &[u8]) -> Result<reader::Response<'_>, quick_protobuf::Error> {
    let len = buf.len();
    let mut bytes = BytesReader::from_bytes(buf);
    bytes.read_message_by_len(buf, len)
}